using System;
using System.Collections.Generic;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            int[] inp1 = Array.ConvertAll(Console.ReadLine().Split(' '), Convert.ToInt32);
            int[] inp2 = Array.ConvertAll(Console.ReadLine().Split(' '), Convert.ToInt32);

            var nums = new List<int>();
            var numscores = new List<int>();

            foreach (int i in inp2)
            {
                if (!nums.Contains(i))
                {
                    nums.Add(i);
                    numscores.Add(1);
                } else
                {
                    numscores[nums.IndexOf(i)]++;
                }
            }

            for(int i = numscores.Count-1; i >= 0; i--)
            {
                if(numscores[i] < inp1[1])
                {
                    nums.RemoveAt(i);
                    numscores.RemoveAt(i);
                }
            }

            Console.WriteLine(nums.Count);
            foreach (int i in nums)
            {
                Console.Write(i + " ");
            }
        }
    }
}